# Class GetXmrNodeSettingsRequest

#### Hierarchy

- unknown
  - GetXmrNodeSettingsRequest

- Defined in src/protobuf/grpc_pb.d.ts:1250
- Defined in src/protobuf/grpc_pb.d.ts:1259

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetXmrNodeSettingsRequest(): GetXmrNodeSettingsRequest

- #### Returns GetXmrNodeSettingsRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1251

### toObject

- toObject(includeInstance?: boolean): GetXmrNodeSettingsRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetXmrNodeSettingsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1252

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrNodeSettingsRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrNodeSettingsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1255

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrNodeSettingsRequest, reader: BinaryReader): GetXmrNodeSettingsRequest

- #### Parameters

  - ##### message: GetXmrNodeSettingsRequest

  - ##### reader: BinaryReader

  #### Returns GetXmrNodeSettingsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1256

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrNodeSettingsRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetXmrNodeSettingsRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1254

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetXmrNodeSettingsRequest): GetXmrNodeSettingsRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrNodeSettingsRequest

  #### Returns GetXmrNodeSettingsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1253

Generated using TypeDoc